Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Hplip is the software that drives most hp printers. Usually new printers are only supported in newer versions of the software. Canonical doesn't backport new versions packages to older Ubuntu versions, that means that newer drivers are not going to be available in the Software Center of older Ubuntu versions.

As an example yesterday I needed to hook a hp 1005p to a computer running 8.04. I was forced to install a newer hplip than the version available in the repositories. I installed it using the script from the hp page, but I'd like to know other alternatives.

Which is the best (technically, not the easiest) way to install it and why?.

share|improve this question
    
BTW I need a better title for the question, suggestion or editing (if enough rep) appreciated. –  Javier Rivera Oct 28 '10 at 18:12
    
I guess your question is: is there a ppa for hplip? –  barraponto Dec 13 '11 at 21:44
    
Not really, it's more like: is there a ppa for hplip, if it doesn't what is the best way to install it?. –  Javier Rivera Dec 14 '11 at 7:55
    
There is a ppa, but unfortunately it has been neglected for a long time. So at the moment it is useless. A well-maintained ppa with prompt updates for every new hplip release really would be the right solution to this problem. –  Yitz Jan 13 '13 at 1:41
    
How to do this on Ubuntu Server 12.04 which has no GUI? –  KangaRufus Mar 13 at 19:16
add comment

5 Answers

up vote 4 down vote accepted

You can use the official hp installer as I did. It will detect that I'm using Ubuntu, uninstall the older drivers, fetch all the dependencies (includind build-essentials), compile the new version, make a nice deb and install it.

Great features:

  • It's clean, it uninstalls old versions and install as a deb.
  • It's always the latest stable version, it quickly adds support to newer printers.
  • It worked with all the Ubuntu versions that I throw at it. Likely it's also cross-distro.

Problems:

  • Takes loads of time to install, it must compile the driver and fetch hundreds of megas of dependencies from the internet.
  • It doesn't integrate into Ubuntu Update, so no automatically security updates.
  • Does it really need to add an HP icon to the tray?.

It's a great piece of software, technically it's amazing, but the first two problems are a issue for me.

share|improve this answer
    
It took less than 5 minutes to install here. And the download sizes were modest. –  Jakob Nov 19 '13 at 20:46
add comment

I am currently running Ubuntu 12.04 (precise), which has version 3.12.2 of hplip. But I found out from the hplip site that I needed at least version 3.12.4 of hplip for my new HP Officejet printer.

I noticed that the next most recent Ubuntu release, 12.10 (quantal), had hplip version 3.12.6, but I didn't want to upgrade my entire system yet just for that. I also preferred to stay closer to a consistent Ubuntu setup than what Javier ended up doing. So here is what I did:

I went to the Ubuntu packages site and downloaded the latest deb file from 12.10 (quantal) for my architecture (amd64) for each of the following packages:

libhpmud0
printer-driver-hpcups
libsane-hpaio
hplip-data
hplip

I then installed each of the deb files, in that order, using this command:

sudo dpkg -i <deb-file-name>

[Actually, first I tried doing that just for hplip. It failed due to missing dependencies. I kept following the dependencies until I compiled that list.]

I think that is all I need, really, but for completeness, I did the same thing for two more packages:

printer-driver-hpijs
hpijs-ppds

Now my HP Officejet printer works perfectly, fully supported by genuine Ubuntu packages.

The only thing left to do is to figure out how to configure the files in /etc/apt to watch for updates for the quantal packages I installed. I'll update this post if and when I get around to doing that, or maybe someone else can help.

share|improve this answer
add comment

Installing from the Official Backports in Ubuntu 12.04 LTS

At least for Ubuntu 12.04 LTS there is a relatively new version of HPLIP available in the official precise-backports repository. See this answer for how to enable the backports repository (should be enabled by default).

You can then install the latest version of HPLIP from the backports repository like so:

sudo apt-get --target-release precise-backports install hplip

IMHO, this should be the “technically” best solution to get a very recent version of HPLIP (at least for Ubuntu 12.04 LTS) as this solution does not pose the problems mentioned in Javier Rivera’s answer.

share|improve this answer
add comment

To configure the HP LaserJet P1005:

  1. sudo apt-get install hplip
  2. sudo hp-setup -i
share|improve this answer
    
Welcome to Ask Ubuntu! Whilst this may theoretically answer the question, it would be preferable to include the essential parts of the answer here, and provide a link for reference. –  Ringtail Jan 13 '13 at 2:48
add comment

I think best way is from Software Center. I have done it several times and it was OK.

share|improve this answer
    
I'm talking about installing a newer version than the one that is available in the Software Center. Imagine HP ships a new printer right now. Hplip will support it in weeks with a new version. That version will never be added to the Ubuntu 10.10 Software Center. –  Javier Rivera Oct 28 '10 at 19:51
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.